Bug 1851140 - "foreman-rake katello:publish_unpublished_repositories" is referring to column which no longer exists in katello_repositories table.
Summary: "foreman-rake katello:publish_unpublished_repositories" is referring to colum...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 6.7.2
Assignee: James Jeffers
QA Contact: Bruno Rocha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-25 16:31 UTC by Mike McCune
Modified: 2020-07-30 20:21 UTC (History)
5 users (show)

Fixed In Version: tfm-rubygem-katello-3.14.0.21-1,tfm-rubygem-katello-3.14.0.23-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1789911
Environment:
Last Closed: 2020-07-30 20:21:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 28811 0 Normal Closed publish_unpublished_repositories tasks references column that was moved to another table 2021-02-10 18:59:24 UTC
Red Hat Product Errata RHBA-2020:3255 0 None None None 2020-07-30 20:21:25 UTC

Comment 4 jcallaha 2020-07-17 14:29:40 UTC
verified in Satellite 6.7.2

The rake command now runs successfully

# foreman-rake katello:publish_unpublished_repositories
#

Additionally, the entire repository file has no references to the old field.

# grep url /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.14.0.24/lib/katello/tasks/repository.rake
          .where.not(katello_root_repositories: { url: nil }).find_each do |repo|

Comment 6 errata-xmlrpc 2020-07-30 20:21:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3255


Note You need to log in before you can comment on or make changes to this bug.